  clear; 
  figure(1); clf; 
  x = [0:1:260-1];
  s = exp(i*x'*0.5); 

  n = randn(size(s)).^3 + i*randn(size(s)).^3;
  n = n/max(abs(n)); 
  s = s+3*n;
  plot(x,real(s));

  PARAM.alpha = 2.;
  PARAM.r = 10;
  PARAM.iters = 1500;
  PARAM.BFGD_tol = 0.001;
  PARAM.mu = 0.1;
 
  so = BFGDSSAOp(s,PARAM);

  hold on;
  plot(x,real(so)+2); 
  plot(x,real(s-so)+4); 

 


